#define _CRT_SECURE_NO_WARNINGS
#define _SILENCE_CXX17_C_HEADER_DEPRECATION_WARNING
#include <bits/stdc++.h>
using namespace std;
#define CRP(t, x) const t &x
#define OPL(t, x) bool operator<(CRP(t, x)) const
#define FIL(x, v) memset(x, v, sizeof(x))
#define CLR(x) FIL(x, 0)
#define NE1(x) FIL(x, -1)
#define INF(x) FIL(x, 0x3f)
#ifndef _DEBUG
#define _DEBUG 0
#endif // !_DEBUG
#define IFD if (_DEBUG)
typedef long long ll, i64;
ll gcd(ll a, ll b) { return b == 0 ? a : gcd(b, a % b); }
int main()
{
    ll n, m, q, sx, sy, ex, ey;
    scanf("%lld%lld%lld", &n, &m, &q);
    ll g = gcd(n, m);
    while (q--)
    {
        scanf("%lld%lld%lld%lld", &sx, &sy, &ex, &ey);
        int blkid1 = (sy - 1) / ((sx == 1 ? n : m) / g);
        int blkid2 = (ey - 1) / ((ex == 1 ? n : m) / g);
        puts(blkid1 == blkid2 ? "YES" : "NO");
    }
    return 0;
}